> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shipstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one Shipment

> Returns a single `Shipment` object specified by a shipment `id` path parameter.



## OpenAPI

````yaml GET /v1/shipping/shipments/{id}
openapi: 3.0.3
info:
  title: ShipStream
  version: '1.0'
  license:
    name: Commercial (Copyright 2025 - All Rights Reserved)
    url: https://shipstream.io
  contact:
    name: ShipStream Support
    email: help@shipstream.io
  termsOfService: https://shipstream.io/legal/api-terms/
servers:
  - url: https://{base_url_domain}/api/global
    description: Direct API Url
    variables:
      base_url_domain:
        default: example.shipstream.app
        description: >-
          The fully qualified domain name for your ShipStream WMS instance. This
          is either a custom domain, or a subdomain of shipstream.app,

          and will be the same as the domain name for the page which you use to
          login to ShipStream WMS.
security:
  - ShipStream_bearerAuth: []
tags:
  - name: Warehouses
    x-displayName: Warehouses
  - name: Products
    x-displayName: Products
  - name: Locations
    x-displayName: Locations
  - name: Levels
    x-displayName: Levels
  - name: HoldReasons
    x-displayName: HoldReasons
  - name: Holds
    x-displayName: Holds
  - name: Deliveries
    description: Every thing about a Delivery Receiving
    x-displayName: Deliveries
  - name: Shipments
    x-displayName: Shipments
  - name: Orders
    x-displayName: Orders
  - name: Retailers
    x-displayName: Retailers
  - name: Users
    x-displayName: Users
  - name: User Roles
    x-displayName: User Roles
  - name: Merchants
    x-displayName: Merchants
  - name: Healthcheck
    x-displayName: Healthcheck
paths:
  /v1/shipping/shipments/{id}:
    get:
      tags:
        - Shipments
      summary: Get one Shipment
      description: >-
        Returns a single `Shipment` object specified by a shipment `id` path
        parameter.
      operationId: getShipment
      parameters:
        - name: id
          in: path
          schema:
            type: integer
            format: int32
            minimum: 1
          required: true
          description: The `id` of the referenced `Shipment`.
        - $ref: '#/components/parameters/Shipping_API_v1_shipment-fields'
        - $ref: '#/components/parameters/Shipping_API_v1_shipment-items-fields'
        - $ref: >-
            #/components/parameters/Shipping_API_v1_shipment-items-product-fields
        - $ref: '#/components/parameters/Shipping_API_v1_fields-items-order_item'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-order'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-order-items'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-order-shipments'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-order-merchant'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-order-brand'
        - $ref: >-
            #/components/parameters/Shipping_API_v1_fields-order-shipping_address
        - $ref: '#/components/parameters/Shipping_API_v1_fields-order-status_history'
        - $ref: >-
            #/components/parameters/Shipping_API_v1_fields-order-original_address
        - $ref: >-
            #/components/parameters/Shipping_API_v1_fields-order-address_candidates
        - $ref: '#/components/parameters/Shipping_API_v1_fields-order-instructions'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-warehouse'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-packages'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-gallery'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-gallery-items'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-packages-gallery'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-packages-items'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-packing_solution'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-retailer'
        - $ref: >-
            #/components/parameters/Shipping_API_v1_fields-retailer_ship_to_location
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/Shipping_API_v1_Shipment'
                  included:
                    $ref: '#/components/schemas/Shipping_API_v1_shipments'
        '400':
          $ref: '#/components/responses/Shipping_API_v1_400-bad-request'
        '404':
          $ref: '#/components/responses/Shipping_API_v1_404-not-found'
        '422':
          $ref: '#/components/responses/Shipping_API_v1_422-unprocessable'
        '500':
          $ref: '#/components/responses/Shipping_API_v1_500-internal-server-error'
components:
  parameters:
    Shipping_API_v1_shipment-fields:
      name: fields
      in: query
      required: false
      description: >-
        Specify additional fields of the `Shipment` object to be included in the
        response.

        See the [selecting fields](/global-api/selecting-fields) page for more
        information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_shipment-fields-enum'
    Shipping_API_v1_shipment-items-fields:
      name: fields:items
      in: query
      required: false
      description: >-
        Specify additional fields of the `ShipmentItem` object to be included in
        the response. See the [selecting fields](/global-api/selecting-fields)
        page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_shipment-item-fields-enum'
    Shipping_API_v1_shipment-items-product-fields:
      name: fields:items.product
      in: query
      required: false
      description: >-
        Specify additional fields of the `Product` objects to be included in the
        response. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_product-packaging-fields-enum'
    Shipping_API_v1_fields-items-order_item:
      name: fields:items.order_item
      in: query
      required: false
      description: >-
        Specify additional fields of the `OrderItem` object to be included in
        the response. See the [selecting fields](/global-api/selecting-fields)
        page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_items-order_item-fields-enum'
    Shipping_API_v1_fields-order:
      name: fields:order
      in: query
      required: false
      description: >-
        Specify additional fields of the `Order` object to be included in the
        response. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_order-fields-enum'
    Shipping_API_v1_fields-order-items:
      name: fields:order.items
      in: query
      required: false
      description: >-
        Specify additional fields of the `OrderItem` object to be included in
        the response. See the [selecting fields](/global-api/selecting-fields)
        page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_order-item-fields-enum'
    Shipping_API_v1_fields-order-shipments:
      name: fields:order.shipments
      in: query
      required: false
      description: >-
        Specify additional fields of the `Shipment` object to be included in the
        response. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_shipment-fields-enum'
    Shipping_API_v1_fields-order-merchant:
      name: fields:order.merchant
      in: query
      required: false
      description: >-
        Specify additional fields of the `Merchant` object to be included in the
        response. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_merchant-fields-enum'
    Shipping_API_v1_fields-order-brand:
      name: fields:order.brand
      in: query
      required: false
      description: >-
        Specify additional fields of the `Brand` object to be included in the
        response. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_brand-fields-enum'
    Shipping_API_v1_fields-order-shipping_address:
      name: fields:order.shipping_address
      in: query
      required: false
      description: >-
        Specify additional fields of the `OrderAddress` object to be included in
        the response. See the [selecting fields](/global-api/selecting-fields)
        page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_order-address-fields-enum'
    Shipping_API_v1_fields-order-status_history:
      name: fields:order.status_history
      in: query
      required: false
      description: >-
        Specify additional fields of the `OrderStatusHistory` object to be
        included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_order-status_history-fields-enum'
    Shipping_API_v1_fields-order-original_address:
      name: fields:order.original_address
      in: query
      required: false
      description: >-
        Specify additional fields of the `OrderAddress` object (original
        address) to be included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_order-address-fields-enum'
    Shipping_API_v1_fields-order-address_candidates:
      name: fields:order.address_candidates
      in: query
      required: false
      description: >-
        Specify additional fields of the `OrderAddressCandidate` objects to be
        included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: >-
          #/components/schemas/Shipping_API_v1_order-address_candidate-fields-enum
    Shipping_API_v1_fields-order-instructions:
      name: fields:order.instructions
      in: query
      required: false
      description: >-
        Specify additional fields of the `OrderInstruction` objects to be
        included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_order-instruction-fields-enum'
    Shipping_API_v1_fields-warehouse:
      name: fields:warehouse
      in: query
      required: false
      description: >-
        Specify additional fields of the `Warehouse` object to be included in
        the response. See the [selecting fields](/global-api/selecting-fields)
        page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_warehouse-fields-enum'
    Shipping_API_v1_fields-packages:
      name: fields:packages
      in: query
      required: false
      description: >-
        Specify additional fields of the `ShipmentPackage` object to be included
        in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_shipment-package-fields-enum'
    Shipping_API_v1_fields-gallery:
      name: fields:gallery
      in: query
      required: false
      description: >-
        Specify additional fields of the `Gallery` object to be included in the
        response. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_gallery-fields-enum'
    Shipping_API_v1_fields-gallery-items:
      name: fields:gallery.items
      in: query
      required: false
      description: >-
        Specify additional fields of the `GalleryItem` object to be included in
        the response. See the [selecting fields](/global-api/selecting-fields)
        page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_gallery-item-fields-enum'
    Shipping_API_v1_fields-packages-gallery:
      name: fields:packages.gallery
      in: query
      required: false
      description: >-
        Specify additional fields of the `Gallery` object to be included in the
        response. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_gallery-fields-enum'
    Shipping_API_v1_fields-packages-items:
      name: fields:packages.items
      in: query
      required: false
      description: >-
        Specify additional fields of the `ShipmentPackageItem` object to be
        included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_packages-items-fields-enum'
    Shipping_API_v1_fields-packing_solution:
      name: fields:packing_solution
      in: query
      required: false
      description: >-
        Specify additional fields of the `ShipmentPackingSolution` object to be
        included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_packing_solutions-fields-enum'
    Shipping_API_v1_fields-retailer:
      name: fields:retailer
      in: query
      required: false
      description: >-
        Specify additional fields of the `Retailer` object to be included in the
        response. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_retailer-fields-enum'
    Shipping_API_v1_fields-retailer_ship_to_location:
      name: fields:retailer_ship_to_location
      in: query
      required: false
      description: >-
        Specify additional fields of the `RetailerShipToLocation` object to be
        included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: >-
          #/components/schemas/Shipping_API_v1_retailer-ship-to-location-fields-enum
  schemas:
    Shipping_API_v1_Shipment:
      title: Shipment
      type: object
      description: >-
        A `Shipment` represents one or more pickable items which may constitute
        a whole or part of an `Order`. 

        Shipments are assigned directly to a `Warehouse` which is the origin for
        the shipment.

        Once packed, a Shipment will represent one or more packages containing
        all of the shipment items.
      properties:
        type:
          type: string
          enum:
            - Shipment
          readOnly: true
        id:
          type: integer
          readOnly: true
          example: 3
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        unique_id:
          type: string
          description: >-
            A unique ID for the shipment. This number may appear on the packing
            slip as the "Packing Slip #".
          example: '1100000003'
          readOnly: true
        external_id:
          type: string
          description: An arbitrary string to use as an external reference ID.
          maxLength: 64
        status:
          type: string
          description: The shipment status indicates which stage the shipment is in.
          enum:
            - new
            - picking
            - picked
            - packing
            - packed
            - loaded
            - canceled
            - voided
            - packing_exception
            - shipped
          example: new
        shipping_carrier_code:
          type: string
          description: >-
            The ShipStream carrier code for the shipment. This will always be
            the same as the prefix for the `shipping_service_code`.
          example: fedex
          readOnly: true
        shipping_method:
          type: string
          description: >-
            The shipping method that is ultimately chosen for the shipment.
            Virtual Shipping Methods such as "Cheapest All"

            will determine the shipment's shipping method after rating data has
            been calculated.\
              `Optional Field`
        shipping_method_name:
          type: string
          description: |-
            The name of the shipping method.\
              `Optional Field`
        shipping_service_code:
          type: string
          description: >-
            The shipping service that is assigned to the shipment. This value is
            unique to ShipStream and the prefix is always

            equivalent to the `shipping_carrier_code` which is provided
            separately for convenience.

            This value is often the same as the Order's `shipping_method_code`
            but could be different if:
              - The order was updated after the shipment was packed
              - A Virtual Shipping Method was used to assign a shipping method based on rate shopping
              - A Preprocess Packing Solution Script was used to assign a specific shipping method
        shipping_service_name:
          type: string
          description: >-
            The human-friendly name of the shipping service assigned to this
            shipment. This value is the same as the label returned

            by the `shipping/shipping_method` Enumeration.
          example: fedex_FEDEX_2_DAY
          readOnly: true
        warehouse:
          $ref: '#/components/schemas/Shipping_API_v1_WarehouseRef'
        order:
          $ref: '#/components/schemas/Shipping_API_v1_OrderRef'
        shipping_account:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_ShippingAccountRef'
          description: |-
            The shipping account used to submit this shipment.\
              `Optional Field`
        target_ship_date:
          type: string
          description: |-
            The date that the shipment is scheduled to be completed.\
              `Optional Field`
          format: date
          nullable: true
        item_weight:
          description: >-
            The total weight of all shipment items (does not include
            packaging).\
              `Optional Field`
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Weight'
        shipped_weight:
          description: >-
            The weight of all shipment items and packaging at the time of
            shipping.\
              `Optional Field`
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Weight'
        items:
          type: array
          description: |-
            A list of items belonging to the `Shipment`.\
              `Optional Field`
          minItems: 1
          items:
            $ref: '#/components/schemas/Shipping_API_v1_ShipmentItemRef'
        packages:
          type: array
          description: |-
            The list of packages included in the shipment.\
              `Optional Field`
          items:
            $ref: '#/components/schemas/Shipping_API_v1_ShipmentPackage'
        packing_solution:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_PackingSolution'
            - readOnly: true
          description: |-
            The list of packaging solutions included in the shipment.\
              `Optional Field`
        gallery:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Gallery'
            - nullable: true
          description: |-
            The shipment-level gallery.\
              `Optional Field`
        picking_class_id:
          type: string
          example: Default
          description: >-
            The ID for the Picking Class used for Bulk Fulfill Orders and
            Picking Batches. \
              `Optional Field`
        is_cutoff_date_exception:
          type: boolean
          example: true
          description: |-
            Flag to indicate that a shipment has a cutoff date exception. \
              `Optional Field`
        is_manually_processed:
          type: boolean
          example: true
          description: |-
            Flag to indicate that a shipment is to be manually processed. \
              `Optional Field`
        label_print_target:
          type: string
          example: label001
          description: |-
            The label printer ID used for the shipment. \
              `Optional Field`
        scac:
          type: string
          example: FDEG
          description: >-
            The Standard Carrier Alpha Code which can be found at
            https://en.wikipedia.org/wiki/Standard_Carrier_Alpha_Code \
              `Optional Field`
        carrier_shipping_cost:
          type: number
          example: 3.9
          description: |-
            The shipping cost given by the carrier. \
              `Optional Field`
        is_international:
          type: boolean
          example: true
          description: |-
            Flag to indicate that a shipment is using international shipping. \
              `Optional Field`
        is_documents_required:
          type: boolean
          example: true
          description: >-
            Flag to indicate that a shipment requires documents such as those
            for customs. \
              `Optional Field`
        is_electronic_customs:
          type: boolean
          example: true
          description: >-
            The flag indicates the presence of electronic customs documents,
            which will skip printing customs documents. \
              `Optional Field`
        infill_product_id:
          type: string
          example: kraft
          description: |-
            The SKU for the infill product to be used in the shipment. \
              `Optional Field`
        max_package_weight:
          type: number
          example: 2.5
          description: |-
            The maximum package weight set for the shipment. \
              `Optional Field`
        packing_solution_providers:
          type: array
          example:
            - Provider 1
            - Provider 2
          items:
            type: string
          description: |-
            Packing solution providers for the shipment. \
              `Optional Field`
        tpb_group:
          type: string
          example: ACME Inc
          description: |-
            The third party billing group for the shipment. \
              `Optional Field`
        retailer:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_RetailerRef'
          nullable: true
          description: >-
            Reference to the B2B retailer this shipment's order was placed for,
            if any.\
              `Optional Field`
        retailer_ship_to_location:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_ShipToLocationRef'
          nullable: true
          description: >-
            Reference to the retailer ship-to location this shipment's order is
            destined for, if any.\
              `Optional Field`
        created_at:
          description: >-
            The date and time the object was created in RFC 3339 section 5.6
            notation.\
              `Optional Field`
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_created_at'
        updated_at:
          description: >-
            The date and time the object was last updated in RFC 3339 section
            5.6 notation.\
              `Optional Field`
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_updated_at'
        packed_at:
          type: string
          description: >-
            The date and time the Shipment was packed in RFC 3339 section 5.6
            notation.\
              `Optional Field`
          format: date-time
          example: '2017-07-21T17:32:28Z'
          readOnly: true
          nullable: true
        total_weight:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Weight'
            - description: >-
                The total weight of the shipment as measured or estimated based
                on the packages and their contents.
    Shipping_API_v1_shipments:
      type: object
      description: >-
        Lists of referenced objects included by specifying optional fields.

        See the [selecting fields](/global-api/selecting-fields) page for more
        information.
      properties:
        Brand:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Brand'
        Merchant:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Merchant'
        Order:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Order'
        OrderAddress:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Address'
        OrderItem:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_OrderItem'
        OrderStatusHistory:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_OrderStatusHistory'
        OrderAddressCandidate:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_AddressCandidate'
        OrderInstruction:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Instruction'
        PackagingContainer:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_PackagingContainer'
        PackagingDataCollection:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_PackagingDataCollection'
        PackagingInfill:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_PackagingInfill'
        PackagingInstruction:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_PackagingInstruction'
        PackagingSupplies:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_PackagingSupplies'
        Product:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_CompositeStockableProduct'
        Gallery:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Gallery'
        GalleryItem:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Item'
        Shipment:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Shipment'
        ShipmentItem:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_ShipmentItem'
        ShipmentPackage:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_ShipmentPackage'
        ShipmentPackageItem:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Item-2'
        ShipmentPackingSolution:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_PackingSolution'
        ThirdPartyBillingGroup:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_ThirdPartyBillingGroup'
        Retailer:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Retailer'
        RetailerShipToLocation:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_ShipToLocation'
        Warehouse:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Warehouse'
    Shipping_API_v1_shipment-fields-enum:
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - shipping_account
          - shipping_method
          - shipping_method_name
          - target_ship_date
          - total_weight
          - shipped_weight
          - items
          - item_weight
          - packages
          - packing_solution
          - gallery
          - picking_class_id
          - is_cutoff_date_exception
          - is_manually_processed
          - label_print_target
          - scac
          - carrier_shipping_cost
          - is_international
          - is_documents_required
          - is_electronic_customs
          - infill_product_id
          - max_package_weight
          - packing_solution_providers
          - tpb_group
          - created_at
          - updated_at
          - packed_at
          - retailer
          - retailer_ship_to_location
    Shipping_API_v1_shipment-item-fields-enum:
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - sku
          - product
          - quantity
          - qty_shipped
          - qty_picked
          - qty_canceled
          - qty_cancel_requested
          - order_item
          - reservations
    Shipping_API_v1_product-packaging-fields-enum:
      title: Product Or Packaging
      description: >-
        Specify additional fields of the `Product` or `Packaging*` object to be
        included in the response.
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - created_at
          - updated_at
          - container_options
          - supplies_options
          - data_collection_options
          - instruction_options
          - infill_options
          - vendor_sku
          - external_id
          - barcodes
          - goods_type
          - is_available
          - is_visible
          - weight
          - dimensions
          - volume
          - inventory
          - export
          - regulated_goods
          - packaging
          - custom_fields
    Shipping_API_v1_items-order_item-fields-enum:
      type: array
      items:
        type: string
        enum:
          - all
          - order_item_ref
          - qty_ordered
          - qty_assigned
          - qty_allocated
          - qty_backordered
          - qty_processing
          - qty_picked
          - qty_shipped
          - qty_cancel_requested
          - qty_canceled
          - row_weight
    Shipping_API_v1_order-fields-enum:
      title: Order
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - carrier_code
          - shipping_method
          - signature_required
          - is_saturday_delivery
          - is_overbox_required
          - other_shipping_options
          - priority
          - requested_ship_date
          - is_declared_value_service
          - declared_value
          - duties_payor
          - shipping_address
          - items
          - shipments
          - created_at
          - updated_at
          - completed_at
          - status_history
          - custom_greeting
          - custom_fields
          - weight
          - total_item_count
          - submitted_by
          - submitted_by_type
          - backorder_policy
          - source
          - customer_note
          - batch_tag
          - desired_delivery_date
          - can_fulfill
          - can_fulfill_at
          - is_address_modified
          - is_address_modified_auto
          - hold_until_time
          - tpb_group
          - customs_value
          - reason_for_export
          - generate_sscc
          - shipped_at
          - delivered_at
          - shipping_description
          - carrier
          - allocation_options
          - automation_data
          - original_address
          - address_candidates
          - instructions
          - retailer
          - retailer_ship_to_location
    Shipping_API_v1_order-item-fields-enum:
      type: array
      items:
        type: string
        enum:
          - all
          - sku
          - order_item_ref
          - product
          - qty_ordered
          - qty_assigned
          - qty_allocated
          - qty_backordered
          - qty_processing
          - qty_picked
          - qty_shipped
          - qty_cancel_requested
          - qty_canceled
          - row_weight
    Shipping_API_v1_merchant-fields-enum:
      title: Merchant
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - code
          - name
          - status
          - created_at
          - updated_at
          - brands
          - default_brand
          - custom_fields
    Shipping_API_v1_brand-fields-enum:
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - code
          - name
          - is_active
          - is_deleted
          - sort_order
    Shipping_API_v1_order-address-fields-enum:
      type: array
      items:
        type: string
        enum:
          - all
          - first_name,
          - last_name,
          - company,
          - street,
          - city,
          - region,
          - postcode,
          - country,
          - telephone,
          - email,
          - classification,
          - is_valid
    Shipping_API_v1_order-status_history-fields-enum:
      type: array
      items:
        type: string
        enum:
          - all
          - status
          - comment
          - notify_merchant
          - user
          - script_id
          - created_at
    Shipping_API_v1_order-address_candidate-fields-enum:
      title: OrderAddressCandidate
      type: array
      items:
        type: string
        enum:
          - all
          - address_id
          - street
          - city
          - region_code
          - postal_code
          - country_code
          - classification
    Shipping_API_v1_order-instruction-fields-enum:
      title: OrderInstruction
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - order_id
          - note
          - file_name
          - presentation
          - print_target
          - print_orientation
          - copies_printed
    Shipping_API_v1_warehouse-fields-enum:
      title: Warehouse
      description: >-
        Specify additional fields of the `Warehouse` object to be included in
        the response.
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - id
          - name
          - is_active
          - abbreviation
    Shipping_API_v1_shipment-package-fields-enum:
      title: ShipmentPackage
      description: >-
        Specify additional fields of the `ShipmentPackage` object to be included
        in the response.
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - tracking_ref
          - alt_tracking_number
          - alt_tracking_description
          - billable_weight
          - dimensional_weight
          - dimensional_weight_divisor
          - total_item_volume
          - total_void_percent
          - container_style
          - num_cartons
          - sscc
          - manifest_courier_code
          - items
          - container
          - infill
          - packaging
          - collected_data
          - gallery
          - created_at
          - updated_at
    Shipping_API_v1_gallery-fields-enum:
      title: Gallery
      description: >-
        Specify additional fields of the `Gallery` object to be included in the
        response.
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - items
    Shipping_API_v1_gallery-item-fields-enum:
      title: GalleryItem
      description: >-
        Specify additional fields of the `GalleryItem` object to be included in
        the response.
      type: array
      items:
        type: string
        enum:
          - all
          - url
          - thumbnail_url
          - caption
          - taken_at
          - device_info
          - media_info
          - created_at
    Shipping_API_v1_packages-items-fields-enum:
      title: ShipmentPackageItem
      description: >-
        Specify additional fields of the `ShipmentPackageItem` object to be
        included in the response.
      type: array
      items:
        type: string
        enum:
          - all
          - sku
          - name
          - quantity
          - weight
          - hazmat_unit_weight
          - customs_value
          - order_item_id
          - order_item_sku
          - order_item_quantity
    Shipping_API_v1_packing_solutions-fields-enum:
      title: Product Or Packaging
      description: >-
        Specify additional fields of the `Product` or `Packaging*` object to be
        included in the response.
      type: array
      items:
        type: string
        enum:
          - all
          - created_at
          - updated_at
    Shipping_API_v1_retailer-fields-enum:
      title: Retailer
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - code
          - name
          - status
          - fulfillment_model
          - merchant
          - parent_retailer
          - legal_name
          - dba
          - default_duties_payor
          - default_shipping_method
          - allowed_shipping_methods
          - default_tpb_group_id
          - routing_guide_notes
          - custom_fields
          - created_at
          - updated_at
    Shipping_API_v1_retailer-ship-to-location-fields-enum:
      title: RetailerShipToLocation
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - code
          - qualifier_x12
          - label
          - location_type
          - company
          - street
          - city
          - region_id
          - region
          - postcode
          - country_id
          - telephone
          - email
          - is_default
          - status
          - retailer
          - created_at
          - updated_at
    Shipping_API_v1_WarehouseRef:
      title: WarehouseRef
      type: object
      description: A reference to a `Warehouse` by `id`.
      properties:
        type:
          type: string
          enum:
            - Warehouse
          description: This property describes the type of object in the response body.
        id:
          type: integer
          format: int32
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      nullable: true
      additionalProperties: false
    Shipping_API_v1_OrderRef:
      title: OrderRef
      type: object
      description: A reference to an `Order` by `id`.
      properties:
        type:
          type: string
          enum:
            - Order
        id:
          type: integer
          format: int32
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      nullable: true
      additionalProperties: false
    Shipping_API_v1_ShippingAccountRef:
      title: ShippingAccount
      type: object
      description: Reference a `ShippingAccount` by `id`.
      properties:
        type:
          type: string
          enum:
            - ShippingAccount
        id:
          type: integer
          format: int32
          example: 4
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      additionalProperties: false
    Shipping_API_v1_Weight:
      title: Weight
      type: object
      nullable: true
      properties:
        value:
          type: number
          description: >-
            The weight quantity defined as a floating point value of up to 4
            decimal places.
          format: float
          example: 20
        unit:
          $ref: '#/components/schemas/Shipping_API_v1_WeightUnit'
    Shipping_API_v1_ShipmentItemRef:
      title: ShipmentItem
      type: object
      properties:
        type:
          type: string
          enum:
            - ShipmentItem
        id:
          type: integer
          format: int32
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        product:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_ProductRef'
            - description: The Product this shipment line-item refers to.
      required:
        - type
        - id
      additionalProperties: false
    Shipping_API_v1_ShipmentPackage:
      title: ShipmentPackage
      type: object
      readOnly: true
      description: A Package
      properties:
        items:
          type: array
          description: A list of items contained within the `ShipmentPackage`.
          minItems: 1
          items:
            type: object
            properties:
              sku:
                type: string
                example: KDS2108
                description: The SKU identifier for the product contained in the package.
              quantity:
                type: integer
                example: 2
                description: The quantity of a particular product in a package.
              order_item_id:
                type: integer
                format: int32
                description: >-
                  The internal `id` property used as a path parameter in a
                  resource lookup.
                readOnly: true
                example: 4
              order_item_sku:
                type: string
                example: KDS2108
                description: >-
                  The SKU identifier for the product as it relates to the
                  shipment in an order.
              order_item_qty:
                type: number
                format: float
                example: 2
                description: The quantity of a product in the shipment of an order.
              shipment_item_id:
                type: integer
                format: int32
                description: >-
                  The internal `id` property used as a path parameter in a
                  resource lookup.
                readOnly: true
                example: 4
              weight:
                allOf:
                  - $ref: '#/components/schemas/Shipping_API_v1_Weight'
                  - description: The combined weight of the the same items in the package.
              hazmat_unit_weight:
                allOf:
                  - $ref: '#/components/schemas/Shipping_API_v1_Weight'
                  - description: >-
                      The combined weight of the same items in thie package
                      formatted for hazmat inspection.
              total_customs_value:
                allOf:
                  - $ref: '#/components/schemas/Shipping_API_v1_Monetary'
                  - description: The combined value of the same items in the package.
        packaging:
          type: array
          description: Packaging data to be used to process the shipment.
          items:
            $ref: '#/components/schemas/Shipping_API_v1_PackagePackaging'
        collected_data:
          type: array
          description: Data collected for a shipment package.
          items:
            $ref: '#/components/schemas/Shipping_API_v1_CollectedData'
        gallery:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Gallery'
            - nullable: true
          description: |-
            The package-level gallery.\
              `Optional Field`
        created_at:
          $ref: '#/components/schemas/Shipping_API_v1_created_at'
        updated_at:
          $ref: '#/components/schemas/Shipping_API_v1_updated_at'
    Shipping_API_v1_PackingSolution:
      title: ShipmentPackingSolution
      type: object
      readOnly: true
      description: A Package
      properties:
        type:
          type: string
          enum:
            - ShipmentPackingSolution
          readOnly: true
        id:
          type: integer
          readOnly: true
          example: 3
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        containers:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_PackingSolutionContainer'
          description: The list of containers that make up the shipment's packing solution.
    Shipping_API_v1_Gallery:
      title: Gallery
      type: object
      readOnly: true
      description: A `Gallery` contains photos attached to a specific entity.
      properties:
        type:
          type: string
          enum:
            - Gallery
          readOnly: true
        id:
          type: integer
          format: int32
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        photo_count:
          type: integer
          format: int32
          minimum: 0
          description: The number of photos in the gallery.
        updated_at:
          $ref: '#/components/schemas/Shipping_API_v1_updated_at'
        items:
          type: array
          description: |-
            The list of photo items in this gallery.\
              `Optional Field`
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Item'
    Shipping_API_v1_RetailerRef:
      title: RetailerRef
      type: object
      description: Reference a `Retailer` by `id`.
      properties:
        type:
          type: string
          enum:
            - Retailer
          example: Retailer
        id:
          type: integer
          format: int32
          minimum: 1
          example: 2
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      additionalProperties: false
    Shipping_API_v1_ShipToLocationRef:
      title: RetailerShipToLocationRef
      type: object
      description: Reference a `RetailerShipToLocation` by `id`.
      properties:
        type:
          type: string
          enum:
            - RetailerShipToLocation
        id:
          type: integer
          format: int32
          minimum: 1
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      additionalProperties: false
    Shipping_API_v1_created_at:
      type: string
      format: date-time
      description: >-
        The date and time the object was created in RFC 3339 section 5.6
        notation.
      example: '2017-07-21T17:32:28Z'
      readOnly: true
    Shipping_API_v1_updated_at:
      type: string
      format: date-time
      description: >-
        The date and time the object was last updated in RFC 3339 section 5.6
        notation.\
          `Optional Field`
      example: '2017-07-21T17:39:43Z'
      nullable: true
      readOnly: true
    Shipping_API_v1_Brand:
      title: Brand
      type: object
      properties:
        type:
          type: string
          enum:
            - Brand
          readOnly: true
        id:
          type: integer
          format: int32
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
          readOnly: true
          example: 4
        code:
          type: string
          description: >-
            The brand code may contain only letters (a-z), numbers (0-9) or
            underscore(_), the first character must be a letter.
          minLength: 1
          maxLength: 32
          example: acme_inc
        name:
          type: string
          description: Any string which uniquely identifies a Brand.
          minLength: 1
          maxLength: 255
          example: ACME Inc.
        is_active:
          type: boolean
          description: This flag is `true` if the Brand is active.
          example: true
        is_deleted:
          type: boolean
          description: This flag is `true` if the Brand has been deleted.
          example: false
        sort_order:
          type: number
          nullable: true
          description: The sort order property.
          example: 0
    Shipping_API_v1_Merchant:
      title: Merchant
      type: object
      description: >-
        A `Merchant` represents an entity that owns a distinct pool of inventory
        and line of business.
      properties:
        type:
          type: string
          enum:
            - Merchant
          readOnly: true
        id:
          type: integer
          format: int32
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
          readOnly: true
          example: 4
        code:
          type: string
          description: >-
            Merchant code may only contain letters (a-z), numbers (0-9) or
            underscore(_), the first character must be a letter.
          minLength: 1
          maxLength: 32
          example: acme_inc
        name:
          type: string
          description: Any string which uniquely identifies a Merchant.
          minLength: 1
          maxLength: 64
          example: ACME Inc.
        status:
          type: string
          enum:
            - active
            - inactive
            - suspended
            - archived
          default: active
          description: >-
            Lifecycle status of the Merchant:

            - `active`: Merchant is operational and available for use

            - `suspended`: Temporarily on hold, can be easily reactivated

            - `inactive`: Long-term offline status, reactivation is possible but
            may require additional steps

            - `archived`: Soft delete status, manual recovery required
          example: active
          nullable: true
          readOnly: true
        created_at:
          $ref: '#/components/schemas/Shipping_API_v1_created_at-optional'
        updated_at:
          $ref: '#/components/schemas/Shipping_API_v1_updated_at'
        brands:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/Shipping_API_v1_BrandRef'
          description: >-
            A merchant must have one or more brands which may share the same
            pool of inventory. Brands can be used for

            customizing presentation and behaviors and often correspond to
            distinct lines of business or market presences.\
              `Optional Field`
          readOnly: true
        default_brand:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_BrandRef'
          description: >-
            This is the primary brand used when defining only the merchant for
            operations such as creating a new product.\
              `Optional Field`
        custom_fields:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_sales_custom_fields'
          nullable: true
          description: >-
            Custom fields associated with the merchant in script format. Each
            field contains

            a code and value, with additional properties depending on the field
            type.\
              `Optional Field`
    Shipping_API_v1_Order:
      title: Order
      type: object
      description: An Order represents a request to ship goods to a customer.
      properties:
        type:
          type: string
          enum:
            - Order
          readOnly: true
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        unique_id:
          type: string
          minLength: 1
          maxLength: 50
          example: '1100000003'
          description: >-
            The unique id for the order. This will be auto-assigned if not
            specified by the merchant at order creation time.
        order_ref:
          type: string
          nullable: true
          example: O-382227
          description: >-
            An optional merchant-supplied reference for the order. Not a unique
            identifier.
        state:
          type: string
          enum:
            - new
            - processing
            - complete
            - canceled
            - holded
          example: new
          readOnly: true
          description: This describes the high-level, overall progress of the order.
        status:
          $ref: '#/components/schemas/Shipping_API_v1_Status'
        brand:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Brand'
            - description: >-
                The sub-level of a merchant which allows for separate customized
                configurations under the same merchant, such
                  as packing slip designs, plugin subscriptions, etc.
        merchant:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Merchant'
            - description: >-
                This describes the owner or vendor of a particular line of
                products. There can be more than one product or
                  brand for every merchant. And merchants can have their own shipping Rate Groups.
        carrier_code:
          type: string
          example: fedex
          description: The carrier code of the assigned shipping method.
          readOnly: true
        shipping_method:
          type: string
          example: fedex_FEDEX_2_DAY
          description: >-
            The desired mode of transporting the shipment, which can either be a
            specific carrier and service, or a virtual method to select the
            optimal carrier and service for a specific criteria (e.g. Cheapest 2
            Day, Cheapest All, etc.).
        signature_required:
          $ref: '#/components/schemas/Shipping_API_v1_signature'
        is_saturday_delivery:
          type: boolean
          default: false
          description: >-
            This flag will indicate whether saturday delivery is required. May
            not be applicable to all shipping methods or delivery areas.
        is_overbox_required:
          type: boolean
          default: false
          description: >-
            This flag will will direct the packer to use a packaging container
            that has "Satisfies Overbox" enabled.
        priority:
          type: integer
          minimum: 0
          maximum: 100
          default: 50
          description: >-
            This order's priority. Setting the priority will boost or suppress
            this order's priority in relation to other orders for the same
            products. Lower numbers are higher in priority.
        requested_ship_date:
          type: string
          format: date
          nullable: true
          description: >-
            Date when the order was requested to be shipped. If the order is
            Ready to Ship after the Service Level's Cutoff Time but before the
            Absolute Cutoff Time the Shipments may still receive the requested
            Target Ship Date and the Shipment's `is_cutoff_date_exception` flag
            will be `true`.
          example: '2021-02-21'
        is_declared_value_service:
          type: boolean
          default: false
          description: >-
            Flag to indicate that a declared value service is required. If
            `true` then `declared_value` should also be set.
          example: true
        declared_value:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Monetary'
          nullable: true
          description: >-
            If specified, `is_declared_value_service` must also be `true`. This
            is the maximum value of the products used to calculate shipping
            insurance.
        shipping_address:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Address'
            - description: >-
                The recipient's mailing address, phone number and email address.
                This also includes flags indicating the classification and
                validity of the address.
        items:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_OrderItem'
          description: >-
            A list of products with their stock movement statuses and quantities
            as they relate to an order.
        shipments:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_ShipmentRef'
          readOnly: true
          description: >-
            A list of package groups that details their finalized shipping
            methods, warehouse origins, and packing solutions.
        custom_greeting:
          type: string
          nullable: true
          maxLength: 65535
          description: >-
            If specified will override the configured Packing Slip default
            greeting. Allowing the addition of a

            Packing Slip Custom Greeting.\
              `Optional Field`
        status_history:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_OrderStatusHistory'
          readOnly: true
          description: |-
            An order's status history and comments.\
              `Optional Field`
        other_shipping_options:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_OtherShippingOptions'
            - description: >-
                This field allows for JSON code to be processed about an order
                at the time of shipping, such as updating an address, order
                status, or shipping method.\ `Optional Field`
        duties_payor:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_DutiesPayor'
            - description: >-
                Determines the party responsible for paying duties and taxes for
                international shipments.\ `Optional Field`
        created_at:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_created_at-optional'
          description: >-
            The date and time the order was created in RFC 3339 section 5.6
            notation.\
              `Optional Field`
        updated_at:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_updated_at-optional'
          description: >-
            The date and time the order was last updated in RFC 3339 section 5.6
            notation.\
              `Optional Field`
        completed_at:
          type: string
          format: date-time
          nullable: true
          description: >-
            The date and time the order was completed in RFC 3339 section 5.6
            notation.\
              `Optional Field`
          example: '2017-07-21T17:39:43Z'
          readOnly: true
        custom_fields:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_sales_custom_fields'
          description: >-
            Custom fields associated with the order in script format. Each field
            contains

            a code and value, with additional properties depending on the field
            type.\
              `Optional Field`
        weight:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Weight'
          readOnly: true
          description: |-
            The total weight of all items in the order.\
              `Optional Field`
        total_item_count:
          type: integer
          format: int32
          minimum: 0
          example: 5
          readOnly: true
          description: |-
            The total count of all item quantities in the order.\
              `Optional Field`
        submitted_by:
          type: string
          nullable: true
          example: API Order Import
          readOnly: true
          description: |-
            The name of the user or process that submitted the order.\
              `Optional Field`
        submitted_by_type:
          type: string
          enum:
            - admin
            - client
            - api
          nullable: true
          example: api
          readOnly: true
          description: |-
            The type of entity that submitted the order.\
              `Optional Field`
        backorder_policy:
          type: string
          enum:
            - default
            - all_or_nothing
            - as_available
          example: default
          description: |-
            The backorder policy for the order.\
              `Optional Field`
        source:
          type: string
          nullable: true
          example: shopify
          description: >-
            An identifier for the source system or integration that created the
            order.\
              `Optional Field`
        customer_note:
          type: string
          nullable: true
          maxLength: 65535
          example: Please leave at front door
          description: |-
            A note from the customer about the order.\
              `Optional Field`
        batch_tag:
          type: string
          nullable: true
          maxLength: 255
          example: BATCH-2024-001
          description: |-
            A tag used to group orders into batches for processing.\
              `Optional Field`
        desired_delivery_date:
          type: string
          format: date
          nullable: true
          example: '2024-02-15'
          description: |-
            The date the customer desires delivery of the order.\
              `Optional Field`
        can_fulfill:
          type: boolean
          example: true
          readOnly: true
          description: >-
            Indicates whether the order can currently be fulfilled based on
            inventory availability.\
              `Optional Field`
        can_fulfill_at:
          type: string
          format: date-time
          nullable: true
          example: '2024-02-10T14:30:00Z'
          readOnly: true
          description: |-
            The timestamp when can_fulfill was last evaluated.\
              `Optional Field`
        is_address_modified:
          type: boolean
          example: false
          readOnly: true
          description: >-
            Indicates whether the shipping address has been modified from the
            original.\
              `Optional Field`
        is_address_modified_auto:
          type: boolean
          example: false
          readOnly: true
          description: >-
            Indicates whether the shipping address was automatically modified by
            the system.\
              `Optional Field`
        hold_until_time:
          type: string
          format: date-time
          nullable: true
          example: '2024-02-12T08:00:00Z'
          description: >-
            If set, the order will be held until this time before being
            processed.\
              `Optional Field`
        tpb_group:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_ThirdPartyBillingGroupRef'
          nullable: true
          description: >-
            Reference to the third-party billing group for consolidating
            billing.\
              `Optional Field`
        retailer:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_RetailerRef'
          nullable: true
          description: |-
            Reference to the B2B retailer this order was placed for, if any.\
              `Optional Field`
        retailer_ship_to_location:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_ShipToLocationRef'
          nullable: true
          description: >-
            Reference to the retailer ship-to location this order is destined
            for, if any.\
              `Optional Field`
        customs_value:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Monetary'
          nullable: true
          description: |-
            The declared customs value for international shipments.\
              `Optional Field`
        reason_for_export:
          type: string
          nullable: true
          example: Sale
          description: |-
            The reason for export for international shipments.\
              `Optional Field`
        generate_sscc:
          type: array
          items:
            type: string
            enum:
              - pack
              - item
          nullable: true
          example:
            - pack
          description: >-
            SSCC generation modes. Values can be 'pack' (generate per package)
            or 'item' (generate per item).\
              `Optional Field`
        shipped_at:
          type: string
          format: date-time
          nullable: true
          example: '2024-02-10T16:45:00Z'
          readOnly: true
          description: |-
            The timestamp when the first shipment was shipped.\
              `Optional Field`
        delivered_at:
          type: string
          format: date-time
          nullable: true
          example: '2024-02-12T10:30:00Z'
          readOnly: true
          description: |-
            The timestamp when all shipments were delivered.\
              `Optional Field`
        shipping_description:
          type: string
          nullable: true
          example: FedEx 2Day
          readOnly: true
          description: |-
            A human-readable description of the shipping method.\
              `Optional Field`
        carrier:
          type: string
          nullable: true
          example: FedEx
          readOnly: true
          description: |-
            The name of the shipping carrier.\
              `Optional Field`
        allocation_options:
          type: object
          nullable: true
          description: |-
            Options for controlling how inventory is allocated to this order.\
              `Optional Field`
        automation_data:
          type: object
          nullable: true
          description: |-
            Data used by automation rules and workflows.\
              `Optional Field`
        original_address:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Address'
          nullable: true
          description: |-
            The original shipping address before any modifications were made.\
              `Optional Field`
        address_candidates:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_AddressCandidate'
          description: >-
            A list of suggested address corrections from the address validation
            service.\
              `Optional Field`
        instructions:
          type: array
          items:
            $ref: '#/components/schemas/Shipping_API_v1_Instruction'
          description: |-
            A list of packing instructions attached to the order.\
              `Optional Field`
    Shipping_API_v1_Address:
      title: OrderAddress
      type: object
      properties:
        type:
          type: string
          enum:
            - OrderAddress
          readOnly: true
        id:
          type: integer
          format: int32
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
          readOnly: true
          example: 4
        first_name:
          type: string
          example: Celina
          maxLength: 255
          description: The recipient's first name.
        last_name:
          type: string
          example: Goalley
          maxLength: 255
          description: The recipient's last name.
        company:
          type: string
          example: Thompson-Torp
          maxLength: 255
          description: The recipient's company name (if applicable).
        street:
          type: array
          minItems: 1
          maxItems: 4
          items:
            type: string
            example: 15491 West Whiteside Street
          description: >-
            The recipient's building, apartment, or suite number then a street
            name.
        city:
          type: string
          example: Springfield
          maxLength: 255
          description: >-
            The recipient's city or town name within a state, providence, or
            region.
        region:
          type: string
          example: MO
          maxLength: 255
          description: The recipient's full state, providence, or region name.
        postcode:
          type: string
          example: '65807'
          maxLength: 255
          description: >-
            This is a country-specific postal code (also known as zip code, post
            code, etc.) that can comprise of any number of alpha-numeric
            characters and hyphens. (e.g. 99999 or 99999-999, A9A 9A9).
        country:
          type: string
          example: US
          minLength: 2
          maxLength: 2
          description: An ISO 3166 alpha-2 country code.
        telephone:
          type: string
          example: (417) 123-4567
          maxLength: 255
          description: >-
            The phone number of the recipient including country code (e.g.
            +444175193773).
        email:
          type: string
          format: email
          example: celina.goalley@example.com
          maxLength: 255
          nullable: true
          description: The full email address of the recipient.
        classification:
          anyOf:
            - $ref: '#/components/schemas/Shipping_API_v1_classification'
          nullable: true
          description: >-
            The type of address for the recipient which can affect rates and
            availability of shipping methods.
        is_valid:
          type: boolean
          example: true
          description: >-
            This flag indicates whether or not the address has been validating
            using a third party address validator.
    Shipping_API_v1_OrderItem:
      title: OrderItem
      type: object
      properties:
        type:
          type: string
          enum:
            - OrderItem
          readOnly: true
        id:
          type: integer
          format: int32
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
          readOnly: true
          example: 4
        sku:
          type: string
          example: KDS2108
          description: The SKU of the product being shipped in the order.
        order_item_ref:
          type: string
          nullable: true
          description: >-
            If required by your integration you may specify a reference to an
            external order item id.
        product:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_StockableProductRef'
            - description: Reference a `Product` by `id`.
        qty_ordered:
          type: integer
          example: 4
          minimum: 1
          maximum: 999999
          description: Quantity of item ordered.
        qty_assigned:
          type: number
          format: float
          minimum: 0
          maximum: 999999.99999999
          example: 4
          readOnly: true
          description: Quantity of item assigned to a warehouse.
        qty_allocated:
          type: number
          format: float
          minimum: 0
          maximum: 999999.99999999
          example: 0
          readOnly: true
          description: Quantity of item allocated inventory.
        qty_backordered:
          type: number
          format: float
          minimum: 0
          maximum: 999999.99999999
          example: 0
          readOnly: true
          description: Quantity of item back-ordered.
        qty_processing:
          type: number
          format: float
          minimum: 0
          maximum: 999999.99999999
          example: 0
          readOnly: true
          description: Quantity of item ready to be picked.
        qty_picked:
          type: number
          format: float
          minimum: 0
          maximum: 999999.99999999
          example: 0
          readOnly: true
          description: Quantity of item picked.
        qty_shipped:
          type: number
          format: float
          minimum: 0
          maximum: 999999.99999999
          example: 4
          readOnly: true
          description: Quantity of item shipped.
        qty_cancel_requested:
          type: number
          format: float
          minimum: 0
          maximum: 999999.99999999
          example: 0
          readOnly: true
          description: Quantity of item requested to be canceled.
        qty_canceled:
          type: number
          format: float
          minimum: 0
          maximum: 999999.99999999
          example: 0
          readOnly: true
          description: Quantity of item canceled.
        row_weight:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Weight'
            - description: Total weight of the item.
    Shipping_API_v1_OrderStatusHistory:
      title: OrderStatusHistory
      type: object
      description: A status or comment added to an order.
      properties:
        type:
          type: string
          enum:
            - OrderStatusHistory
          readOnly: true
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        status:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_Status'
          nullable: true
          description: The status of the order at the time the history event was added.
        comment:
          type: string
          maxLength: 2048
          nullable: true
          example: Changed shipping method to FedEx Ground
          description: >-
            An optional description for the history event which can be added
            programatically.
        notify_merchant:
          type: boolean
          nullable: true
          default: null
          description: >-
            Set to `true` to notify the merchant, or `false` not to notify the
            merchant. Set to `null` or omit if a notification is not applicable.
        requester:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_RequesterRef'
          nullable: true
          description: The requester attributed to the order's status history update.
        script_id:
          type: integer
          format: int32
          nullable: true
          description: The ID of the script that added the comment.
          readOnly: true
        created_at:
          $ref: '#/components/schemas/Shipping_API_v1_created_at'
    Shipping_API_v1_AddressCandidate:
      title: OrderAddressCandidate
      type: object
      description: >-
        An address correction candidate suggested by the address validation
        service.

        When an order's shipping address has validation issues, the system may
        provide

        one or more candidate addresses that could be used as corrections.
      properties:
        type:
          type: string
          enum:
            - OrderAddressCandidate
          readOnly: true
        id:
          type: integer
          format: int32
          example: 1
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        street:
          type: string
          nullable: true
          example: 15491 W Whiteside St
          description: >-
            The suggested street address (may contain multiple lines separated
            by newlines).
        city:
          type: string
          example: Springfield
          maxLength: 255
          description: The suggested city or town name.
        region_code:
          type: string
          example: MO
          maxLength: 255
          description: The suggested state, province, or region code.
        postal_code:
          type: string
          example: 65807-1234
          maxLength: 255
          description: The suggested postal code.
        country_code:
          type: string
          example: US
          minLength: 2
          maxLength: 2
          description: An ISO 3166 alpha-2 country code.
        classification:
          anyOf:
            - $ref: '#/components/schemas/Shipping_API_v1_classification'
          nullable: true
          description: >-
            The address classification (residential or commercial) as determined
            by the validation service.
    Shipping_API_v1_Instruction:
      title: OrderInstruction
      type: object
      description: >-
        A packing instruction attached to an order. Instructions can be notes,
        images, or PDF documents

        that provide guidance to warehouse staff during fulfillment.
      properties:
        type:
          type: string
          enum:
            - OrderInstruction
          readOnly: true
        id:
          type: integer
          format: int32
          example: 1
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        note:
          type: string
          nullable: true
          example: Handle with care - fragile items
          description: A text note providing instructions for warehouse staff.
        file_name:
          type: string
          nullable: true
          example: packing-guide.pdf
          description: The name of an attached file (image or PDF).
        presentation:
          type: string
          enum:
            - once_per_order
            - once_per_shipment
            - once_per_package
          example: once_per_shipment
          description: When to display this instruction during fulfillment.
        print_target:
          type: string
          enum:
            - label
            - small_label
            - laser
          nullable: true
          example: label
          description: |-
            The print target for the instruction:
            - `label` - Standard label printer
            - `small_label` - Small label printer
            - `laser` - Laser printer
        print_orientation:
          type: string
          enum:
            - portrait
            - landscape
          nullable: true
          example: portrait
          description: The orientation for printing the instruction document.
        copies_printed:
          type: integer
          format: int32
          minimum: 0
          example: 0
          readOnly: true
          description: The number of times this instruction has been printed.
    Shipping_API_v1_PackagingContainer:
      title: PackagingContainer
      description: >-
        A reference to the `PackagingContainer` object linked with Warehouse
        Inventory Location.
      allOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - PackagingContainer
              description: This property describes the type of object in the response body.
            id:
              type: integer
              description: >-
                The internal, read-only, `id` property used as a path parameter
                in a resource lookup.
              readOnly: true
            container_options:
              type: object
              properties:
                barcodes:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_barcodes'
                    - description: >-
                        A comma separated list of unique packaging feature
                        barcodes.\
                          `Optional Field`
                weight:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_Weight'
                    - description: >-
                        The weight of the container when packed with the
                        shipment items.
                dimensions:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_Dimensions'
                    - description: >-
                        The dimensions of the container in imperial or metric
                        units.
                volume:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_Volume'
                    - description: >-
                        The total volume of the container in imperial or metric
                        units.
                      readOnly: true
                manage_stock:
                  type: boolean
                  description: >-
                    This flag indicates whether or not to adjust the inventory
                    quantity of the packaging feature with each use. If `true`
                    then the inventory levels will decrease with each use. If
                    `no` then the inventory will not adjust with each use.
                  enum:
                    - true
                    - false
                associated_products:
                  type: array
                  description: >-
                    A list of products with this packaging feature selected in
                    its "Other Special Features" option in the product's
                    "Packaging" tab.
                  items:
                    $ref: '#/components/schemas/Shipping_API_v1_ProductRef'
                allow_for_brands:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected merchants/brands.
                  items:
                    anyOf:
                      - $ref: '#/components/schemas/Shipping_API_v1_MerchantRef'
                      - $ref: '#/components/schemas/Shipping_API_v1_BrandRef'
                disallow_for_brands:
                  type: array
                  description: >-
                    If specified, this packaging feature will not be applicable
                    to the selected merchants/brands.
                  items:
                    anyOf:
                      - $ref: '#/components/schemas/Shipping_API_v1_MerchantRef'
                      - $ref: '#/components/schemas/Shipping_API_v1_BrandRef'
                billing_amount:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_Monetary'
                    - description: >-
                        The amount that will be billable for consumption of one
                        unit of this packaging feature.\
                          `Optional Field`
                allow_for_warehouses:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected warehouses.
                  items:
                    $ref: '#/components/schemas/Shipping_API_v1_WarehouseRef'
                allow_for_shipping_methods:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected carriers/shipping methods.
                  items:
                    type: string
                satisfies_overbox:
                  type: boolean
                  description: >-
                    Will be a valid container for products which have `Requires
                    Overbox: Yes`.
                  enum:
                    - true
                    - false
                use_for_bin_packing:
                  type: string
                  description: >-
                    Containers with "Use for Bin Packing: No" will not be used
                    by packing solution providers.
                  enum:
                    - 'yes'
                    - 'no'
                    - fallback
                weight_capacity:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_Weight'
                    - description: >-
                        Maximum allowed weight of the container, including tare
                        weight.

                        `Optional Field`
                container_style:
                  type: string
                  description: >-
                    Specify the container type. Currently, only "Rigid Box" is
                    supported.
                  enum:
                    - rigid_box
                packaging_handling_surcharge:
                  type: boolean
                  description: >-
                    The Packaging Surcharge is applicable for this packaging
                    feature (e.g. cylindrical, non-fiberboard material,
                    protrusions, non-conveyable, etc.)
                  enum:
                    - true
                    - false
        - $ref: '#/components/schemas/Shipping_API_v1_AbstractProduct'
    Shipping_API_v1_PackagingDataCollection:
      title: PackagingDataCollection
      description: >-
        A reference to the `PackagingDataCollection` object linked with
        Warehouse Inventory Location.
      allOf:
        - $ref: '#/components/schemas/Shipping_API_v1_AbstractProduct'
        - type: object
          properties:
            type:
              type: string
              enum:
                - PackagingDataCollection
              description: This property describes the type of object in the response body.
            id:
              type: integer
              description: >-
                The internal, read-only, `id` property used as a path parameter
                in a resource lookup.
              readOnly: true
            data_collection_options:
              type: object
              properties:
                associated_products:
                  type: array
                  description: >-
                    A list of products with this packaging feature selected in
                    its "Other Special Features" option in the product's
                    "Packaging" tab.
                  items:
                    $ref: '#/components/schemas/Shipping_API_v1_ProductRef'
                allow_for_brands:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected merchants/brands.
                  items:
                    anyOf:
                      - $ref: '#/components/schemas/Shipping_API_v1_MerchantRef'
                      - $ref: '#/components/schemas/Shipping_API_v1_BrandRef'
                disallow_for_brands:
                  type: array
                  description: >-
                    If specified, this packaging feature will not be applicable
                    to the selected merchants/brands.
                  items:
                    anyOf:
                      - $ref: '#/components/schemas/Shipping_API_v1_MerchantRef'
                      - $ref: '#/components/schemas/Shipping_API_v1_BrandRef'
                billing_amount:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_Monetary'
                    - description: >-
                        The amount that will be billable for consumption of one
                        unit of this packaging feature.\
                          `Optional Field`
                allow_for_shipping_methods:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected carriers/shipping methods.
                  items:
                    type: string
                apply_to_goods_type:
                  type: string
                  enum:
                    - any
                    - NORMAL
                    - ORM_D
                  description: >-
                    This packaging feature will be applied to all shipments
                    containing an item with this Goods Type. \

                    - `NORMAL` Not Regulated

                    - `ORM_D`  ORM-D

                    `Optional Field`
                never_apply_to_goods_type:
                  type: string
                  enum:
                    - NORMAL
                    - LIMITED_QUANTITIES_COMMODITIES
                    - HAZMAT
                  description: >-
                    This packaging feature will be applied to all shipments
                    which do not contain an item with this Goods Type. \

                    - `NORMAL` Not Regulated

                    - `LIMITED_QUANTITIES_COMMODITIES`  Limited Quantities:
                    Consumer Commodity

                    - `HAZMAT` Regulated

                    `Optional Field`
                apply_only_above_weight:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_Weight'
                    - description: >-
                        If specified, this packaging product is not a
                        requirement for packages under the given weight when
                        "Always/Never Apply to Goods Type" is specified.

                        `Optional Field`
                one_per:
                  type: string
                  description: >-
                    The expected number of scans per shipment. The product "Unit
                    Quantity" is used as a multiplier for "One Scan Per: Each".
                  enum:
                    - order
                    - package
                    - item
                    - each
                require_scan_timing:
                  type: string
                  description: >-
                    Choose how the scan timer should begin recording time data
                    on this product or packaging feature.
                  enum:
                    - after_product_scan|on_full
                    - on_start
                disable_confirm_button:
                  type: boolean
                  description: >-
                    If "No", the user will be able to tap "Confirm" rather than
                    scanning a barcode.
                  enum:
                    - true
                    - false
                require_packaging_type:
                  type: string
                  description: >-
                    If specified, this packaging feature will only be applicable
                    when the container meets the chosen criteria based on the
                    container's "Satisfies Overbox" attribute when "Always/Never
                    Apply to Goods Type" is specified.
                  enum:
                    - overbox
                    - non_overbox
                apply_unless_container_meets_hazmat:
                  type: boolean
                  description: >-
                    If "Yes", this packaging product will be applicable unless a
                    package contains a DG item with "Container Meets Hazmat
                    Specs: Yes" when "Always/Never Apply to Goods Type" is
                    specified.
                  enum:
                    - true
                    - false
                apply_to_multi_sku_package:
                  type: boolean
                  description: >-
                    If "Yes", this packaging product will only be applied to
                    packages containing more than one SKU when "Always/Never
                    Apply to Goods Type" is specified.
                  enum:
                    - true
                    - false
                collect_data_pattern:
                  type: string
                  description: >-
                    Specify a Javascript-compatible regular expression which
                    describes the format of the data to be collected. Examples:
                    ".+" for anything, or "^[0-9]{15}$" for a 15-digit number.
                    See http://regexpal.com/
                apply_to_region:
                  type: string
                  description: >-
                    Unless specified, this packaging feature will apply to all
                    regions when "Always/Never Apply to Goods Type" is
                    specified.
                is_collected_data_unique:
                  type: boolean
                  description: >-
                    Prevent the same data collection value from being collected
                    more than once on the same shipment.
                  enum:
                    - true
                    - false
    Shipping_API_v1_PackagingInfill:
      title: PackagingInfill
      description: >-
        A reference to the `PackagingInfill` object linked with Warehouse
        Inventory Location.
      allOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - PackagingInfill
              description: This property describes the type of object in the response body.
            id:
              type: integer
              description: >-
                The internal, read-only, `id` property used as a path parameter
                in a resource lookup.
              readOnly: true
            infill_options:
              type: object
              properties:
                barcodes:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_barcodes'
                    - description: >-
                        A comma separated list of unique packaging feature
                        barcodes.\
                          `Optional Field`
                weight:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_Weight'
                    - description: |-
                        The weight of the infill.
                        `Optional Field`
                manage_stock:
                  type: boolean
                  description: >-
                    This flag indicates whether or not to adjust the inventory
                    quantity of the packaging feature with each use. If `true`
                    then the inventory levels will decrease with each use. If
                    `no` then the inventory will not adjust with each use.
                  enum:
                    - true
                    - false
                associated_products:
                  type: array
                  description: >-
                    A list of products with this packaging feature selected in
                    its "Other Special Features" option in the product's
                    "Packaging" tab.
                  items:
                    $ref: '#/components/schemas/Shipping_API_v1_ProductRef'
                allow_for_brands:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected merchants/brands.
                  items:
                    anyOf:
                      - $ref: '#/components/schemas/Shipping_API_v1_MerchantRef'
                      - $ref: '#/components/schemas/Shipping_API_v1_BrandRef'
                disallow_for_brands:
                  type: array
                  description: >-
                    If specified, this packaging feature will not be applicable
                    to the selected merchants/brands.
                  items:
                    anyOf:
                      - $ref: '#/components/schemas/Shipping_API_v1_MerchantRef'
                      - $ref: '#/components/schemas/Shipping_API_v1_BrandRef'
                billing_amount:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_Monetary'
                    - description: >-
                        The amount that will be billable for consumption of one
                        unit of this packaging feature.\
                          `Optional Field`
                disable_confirm_button:
                  type: boolean
                  description: >-
                    If "No", the user will be able to tap "Confirm" rather than
                    scanning a barcode.
                  enum:
                    - true
                    - false
                apply_unless_container_meets_hazmat:
                  type: boolean
                  description: >-
                    If "Yes", this packaging product will be applicable unless a
                    package contains a DG item with "Container Meets Hazmat
                    Specs: Yes" when "Always/Never Apply to Goods Type" is
                    specified.
                  enum:
                    - true
                    - false
                is_confirmation_required:
                  type: boolean
                  description: >-
                    If "Yes", this packer will be prompted and required to
                    confirm the use of infill.
                  enum:
                    - true
                    - false
                infill_horizontal:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_Length'
                    - description: >-
                        The amount of space to reserve on each horizontal side
                        of the package for infill. \

                        `Optional Field`
                infill_vertical:
                  allOf:
                    - $ref: '#/components/schemas/Shipping_API_v1_Length'
                    - description: >-
[...]
